Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12
Class PortComponentRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12.PortComponentRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, PortComponentRefType<T>

    public class PortComponentRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, PortComponentRefType<T>

This class implements the `port-component-refType` xsd type

Original Documentation:

The port-component-ref element declares a client dependency
on the container for resolving a Service Endpoint Interface
to a WSDL port. It optionally associates the Service Endpoint
Interface with a particular port-component. This is only used
by the container for a Service.getPort(Class) method call.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`PortComponentRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`PortComponentRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getPortComponentLink()` Returns the `port-component-link` element
`java.lang.String` | `getServiceEndpointInterface()` Returns the `service-endpoint-interface` element
`java.lang.Boolean` | `isEnableMtom()` Returns the `enable-mtom` element
`PortComponentRefType<T>` | `removeEnableMtom()` Removes the `enable-mtom` element
`PortComponentRefType<T>` | `removePortComponentLink()` Removes the `port-component-link` element
`PortComponentRefType<T>` | `removeServiceEndpointInterface()` Removes the `service-endpoint-interface` element
`PortComponentRefType<T>` | `setEnableMtom(java.lang.Boolean enableMtom)` If not already created, a new `enable-mtom` element with the given value will be created.
`PortComponentRefType<T>` | `setPortComponentLink(java.lang.String portComponentLink)` If not already created, a new `port-component-link` element with the given value will be created.
`PortComponentRefType<T>` | `setServiceEndpointInterface(java.lang.String serviceEndpointInterface)` If not already created, a new `service-endpoint-interface` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortComponentRefTypeImpl

    public PortComponentRefTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### PortComponentRefTypeImpl

    public PortComponentRefTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setServiceEndpointInterface

    public PortComponentRefType<T> setServiceEndpointInterface(java.lang.String serviceEndpointInterface)

  If not already created, a new `service-endpoint-interface` element with the given value will be created. Otherwise, the existing `service-endpoint-interface` element will be updated with the given value.

  Specified by:
    `setServiceEndpointInterface` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### removeServiceEndpointInterface

    public PortComponentRefType<T> removeServiceEndpointInterface()

  Removes the `service-endpoint-interface` element

  Specified by:
    `removeServiceEndpointInterface` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### getServiceEndpointInterface

    public java.lang.String getServiceEndpointInterface()

  Returns the `service-endpoint-interface` element

  Specified by:
    `getServiceEndpointInterface` in interface `PortComponentRefType<T>`
  Returns:
    the node defined for the element `service-endpoint-interface`

### setEnableMtom

    public PortComponentRefType<T> setEnableMtom(java.lang.Boolean enableMtom)

  If not already created, a new `enable-mtom` element with the given value will be created. Otherwise, the existing `enable-mtom` element will be updated with the given value.

  Specified by:
    `setEnableMtom` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### removeEnableMtom

    public PortComponentRefType<T> removeEnableMtom()

  Removes the `enable-mtom` element

  Specified by:
    `removeEnableMtom` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### isEnableMtom

    public java.lang.Boolean isEnableMtom()

  Returns the `enable-mtom` element

  Specified by:
    `isEnableMtom` in interface `PortComponentRefType<T>`
  Returns:
    the node defined for the element `enable-mtom`

### setPortComponentLink

    public PortComponentRefType<T> setPortComponentLink(java.lang.String portComponentLink)

  If not already created, a new `port-component-link` element with the given value will be created. Otherwise, the existing `port-component-link` element will be updated with the given value.

  Specified by:
    `setPortComponentLink` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### removePortComponentLink

    public PortComponentRefType<T> removePortComponentLink()

  Removes the `port-component-link` element

  Specified by:
    `removePortComponentLink` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### getPortComponentLink

    public java.lang.String getPortComponentLink()

  Returns the `port-component-link` element

  Specified by:
    `getPortComponentLink` in interface `PortComponentRefType<T>`
  Returns:
    the node defined for the element `port-component-link`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD